Index: uspace/srv/hid/compositor/compositor.c
===================================================================
--- uspace/srv/hid/compositor/compositor.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/compositor/compositor.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -589,29 +589,29 @@
 }
 
-static void comp_window_get_event(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
+static void comp_window_get_event(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	window_event_t *event = (window_event_t *) prodcons_consume(&win->queue);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t len;
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(icall_handle, EINVAL);
 		free(event);
 		return;
 	}
 
-	errno_t rc = async_data_read_finalize(callid, event, len);
+	errno_t rc = async_data_read_finalize(chandle, event, len);
 	if (rc != EOK) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		free(event);
 		return;
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	free(event);
 }
 
-static void comp_window_damage(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
+static void comp_window_damage(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	double x = IPC_GET_ARG1(*icall);
@@ -631,8 +631,8 @@
 	}
 
-	async_answer_0(iid, EOK);
-}
-
-static void comp_window_grab(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void comp_window_grab(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t pos_id = IPC_GET_ARG1(*icall);
@@ -661,5 +661,5 @@
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -693,20 +693,20 @@
 }
 
-static void comp_window_resize(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void comp_window_resize(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	unsigned int flags;
 
 	/* Start sharing resized window with client. */
-	if (!async_share_out_receive(&callid, &size, &flags)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_share_out_receive(&chandle, &size, &flags)) {
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	void *new_cell_storage;
-	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
+	errno_t rc = async_share_out_finalize(chandle, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -717,5 +717,5 @@
 	if (!new_surface) {
 		as_area_destroy(new_cell_storage);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -804,5 +804,5 @@
 	comp_damage(x, y, width, height);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -836,5 +836,5 @@
 }
 
-static void comp_window_close(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
+static void comp_window_close(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* Stop managing the window. */
@@ -876,12 +876,12 @@
 
 	comp_damage(x, y, width, height);
-	async_answer_0(iid, EOK);
-}
-
-static void comp_window_close_request(window_t *win, cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void comp_window_close_request(window_t *win, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	window_event_t *event = (window_event_t *) malloc(sizeof(window_event_t));
 	if (event == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -891,18 +891,18 @@
 
 	prodcons_produce(&win->queue, &event->link);
-	async_answer_0(iid, EOK);
-}
-
-static void client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	ipc_call_t call;
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	service_id_t service_id = (service_id_t) IPC_GET_ARG2(*icall);
 
 	/* Allocate resources for new window and register it to the location service. */
 	if (service_id == winreg_id) {
-		async_answer_0(iid, EOK);
-
-		callid = async_get_call(&call);
+		async_answer_0(icall_handle, EOK);
+
+		chandle = async_get_call(&call);
 		if (IPC_GET_IMETHOD(call) == WINDOW_REGISTER) {
 			fibril_mutex_lock(&window_list_mtx);
@@ -910,5 +910,5 @@
 			window_t *win = window_create();
 			if (!win) {
-				async_answer_2(callid, ENOMEM, 0, 0);
+				async_answer_2(chandle, ENOMEM, 0, 0);
 				fibril_mutex_unlock(&window_list_mtx);
 				return;
@@ -929,5 +929,5 @@
 			if (loc_service_register(name_in, &win->in_dsid) != EOK) {
 				window_destroy(win);
-				async_answer_2(callid, EINVAL, 0, 0);
+				async_answer_2(chandle, EINVAL, 0, 0);
 				fibril_mutex_unlock(&window_list_mtx);
 				return;
@@ -937,5 +937,5 @@
 				loc_service_unregister(win->in_dsid);
 				window_destroy(win);
-				async_answer_2(callid, EINVAL, 0, 0);
+				async_answer_2(chandle, EINVAL, 0, 0);
 				fibril_mutex_unlock(&window_list_mtx);
 				return;
@@ -951,5 +951,5 @@
 			}
 
-			async_answer_2(callid, EOK, win->in_dsid, win->out_dsid);
+			async_answer_2(chandle, EOK, win->in_dsid, win->out_dsid);
 			fibril_mutex_unlock(&window_list_mtx);
 
@@ -960,5 +960,5 @@
 			return;
 		} else {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
@@ -978,7 +978,7 @@
 	if (win) {
 		atomic_inc(&win->ref_cnt);
-		async_answer_0(iid, EOK);
+		async_answer_0(icall_handle, EOK);
 	} else {
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -987,8 +987,8 @@
 	if (win->in_dsid == service_id) {
 		while (true) {
-			callid = async_get_call(&call);
+			chandle = async_get_call(&call);
 
 			if (!IPC_GET_IMETHOD(call)) {
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 				atomic_dec(&win->ref_cnt);
 				window_destroy(win);
@@ -998,16 +998,16 @@
 			switch (IPC_GET_IMETHOD(call)) {
 			case WINDOW_GET_EVENT:
-				comp_window_get_event(win, callid, &call);
+				comp_window_get_event(win, chandle, &call);
 				break;
 			default:
-				async_answer_0(callid, EINVAL);
+				async_answer_0(chandle, EINVAL);
 			}
 		}
 	} else if (win->out_dsid == service_id) {
 		while (true) {
-			callid = async_get_call(&call);
+			chandle = async_get_call(&call);
 
 			if (!IPC_GET_IMETHOD(call)) {
-				comp_window_close(win, callid, &call);
+				comp_window_close(win, chandle, &call);
 				atomic_dec(&win->ref_cnt);
 				window_destroy(win);
@@ -1017,11 +1017,11 @@
 			switch (IPC_GET_IMETHOD(call)) {
 			case WINDOW_DAMAGE:
-				comp_window_damage(win, callid, &call);
+				comp_window_damage(win, chandle, &call);
 				break;
 			case WINDOW_GRAB:
-				comp_window_grab(win, callid, &call);
+				comp_window_grab(win, chandle, &call);
 				break;
 			case WINDOW_RESIZE:
-				comp_window_resize(win, callid, &call);
+				comp_window_resize(win, chandle, &call);
 				break;
 			case WINDOW_CLOSE:
@@ -1030,17 +1030,17 @@
 				 * the case when the client is killed abruptly.
 				 */
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 				break;
 			case WINDOW_CLOSE_REQUEST:
-				comp_window_close_request(win, callid, &call);
+				comp_window_close_request(win, chandle, &call);
 				break;
 			default:
-				async_answer_0(callid, EINVAL);
-			}
-		}
-	}
-}
-
-static void comp_mode_change(viewport_t *vp, cap_call_handle_t iid, ipc_call_t *icall)
+				async_answer_0(chandle, EINVAL);
+			}
+		}
+	}
+}
+
+static void comp_mode_change(viewport_t *vp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t mode_idx = IPC_GET_ARG2(*icall);
@@ -1052,5 +1052,5 @@
 	if (rc != EOK) {
 		fibril_mutex_unlock(&viewport_list_mtx);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -1061,5 +1061,5 @@
 	if (!new_surface) {
 		fibril_mutex_unlock(&viewport_list_mtx);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -1071,5 +1071,5 @@
 		surface_destroy(new_surface);
 		fibril_mutex_unlock(&viewport_list_mtx);
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -1081,5 +1081,5 @@
 
 	fibril_mutex_unlock(&viewport_list_mtx);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	comp_restrict_pointers();
@@ -1115,5 +1115,5 @@
 	fibril_mutex_unlock(&window_list_mtx);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	/* All fibrils of the compositor will terminate soon. */
@@ -1121,5 +1121,5 @@
 #endif
 
-static void comp_visualizer_disconnect(viewport_t *vp, cap_call_handle_t iid, ipc_call_t *icall)
+static void comp_visualizer_disconnect(viewport_t *vp, cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* Release viewport resources. */
@@ -1131,5 +1131,5 @@
 	fibril_mutex_unlock(&viewport_list_mtx);
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	comp_restrict_pointers();
@@ -1137,5 +1137,5 @@
 }
 
-static void vsl_notifications(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void vsl_notifications(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	viewport_t *vp = NULL;
@@ -1155,5 +1155,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -1164,11 +1164,11 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case VISUALIZER_MODE_CHANGE:
-			comp_mode_change(vp, callid, &call);
+			comp_mode_change(vp, chandle, &call);
 			break;
 		case VISUALIZER_DISCONNECT:
-			comp_visualizer_disconnect(vp, callid, &call);
+			comp_visualizer_disconnect(vp, chandle, &call);
 			return;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/srv/hid/console/console.c
===================================================================
--- uspace/srv/hid/console/console.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/console/console.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -507,5 +507,5 @@
 }
 
-static void client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	console_t *cons = NULL;
@@ -519,5 +519,5 @@
 
 	if (cons == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -526,5 +526,5 @@
 		cons_set_cursor_vis(cons, true);
 
-	con_conn(iid, icall, &cons->srvs);
+	con_conn(icall_handle, icall, &cons->srvs);
 }
 
Index: uspace/srv/hid/input/ctl/kbdev.c
===================================================================
--- uspace/srv/hid/input/ctl/kbdev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/input/ctl/kbdev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -147,5 +147,5 @@
 }
 
-static void kbdev_callback_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void kbdev_callback_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	kbdev_t *kbdev;
@@ -158,7 +158,7 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		if (!IPC_GET_IMETHOD(call)) {
 			kbdev_destroy(kbdev);
@@ -179,5 +179,5 @@
 		}
 
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 }
Index: uspace/srv/hid/input/input.c
===================================================================
--- uspace/srv/hid/input/input.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/input/input.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -320,17 +320,17 @@
 
 /** New client connection */
-static void client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	client_t *client = (client_t *) async_get_client_data();
 	if (client == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -340,5 +340,5 @@
 			}
 
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -349,7 +349,7 @@
 			if (client->sess == NULL) {
 				client->sess = sess;
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 			} else
-				async_answer_0(callid, ELIMIT);
+				async_answer_0(chandle, ELIMIT);
 		} else {
 			switch (IPC_GET_IMETHOD(call)) {
@@ -357,8 +357,8 @@
 				active_client = client;
 				client_arbitration();
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 				break;
 			default:
-				async_answer_0(callid, EINVAL);
+				async_answer_0(chandle, EINVAL);
 			}
 		}
Index: uspace/srv/hid/input/proto/mousedev.c
===================================================================
--- uspace/srv/hid/input/proto/mousedev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/input/proto/mousedev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -70,5 +70,5 @@
 }
 
-static void mousedev_callback_conn(cap_call_handle_t iid, ipc_call_t *icall,
+static void mousedev_callback_conn(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
@@ -78,5 +78,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -110,5 +110,5 @@
 		}
 
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 }
Index: uspace/srv/hid/isdv4_tablet/main.c
===================================================================
--- uspace/srv/hid/isdv4_tablet/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/isdv4_tablet/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -63,7 +63,7 @@
 }
 
-static void mouse_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
-{
-	async_answer_0(iid, EOK);
+static void mouse_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
+{
+	async_answer_0(icall_handle, EOK);
 
 	async_sess_t *sess =
@@ -79,10 +79,10 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
 			break;
 
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 	}
 }
Index: uspace/srv/hid/output/output.c
===================================================================
--- uspace/srv/hid/output/output.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/output/output.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -78,5 +78,5 @@
 }
 
-static void srv_yield(cap_call_handle_t iid, ipc_call_t *icall)
+static void srv_yield(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	errno_t ret = EOK;
@@ -90,8 +90,8 @@
 	}
 
-	async_answer_0(iid, ret);
-}
-
-static void srv_claim(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, ret);
+}
+
+static void srv_claim(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	errno_t ret = EOK;
@@ -105,8 +105,8 @@
 	}
 
-	async_answer_0(iid, ret);
-}
-
-static void srv_get_dimensions(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, ret);
+}
+
+static void srv_get_dimensions(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	sysarg_t cols = MAX_COLS;
@@ -118,8 +118,8 @@
 	}
 
-	async_answer_2(iid, EOK, cols, rows);
-}
-
-static void srv_get_caps(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_2(icall_handle, EOK, cols, rows);
+}
+
+static void srv_get_caps(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	console_caps_t caps = 0;
@@ -131,8 +131,8 @@
 	}
 
-	async_answer_1(iid, EOK, caps);
-}
-
-static frontbuf_t *resolve_frontbuf(sysarg_t handle, cap_call_handle_t iid)
+	async_answer_1(icall_handle, EOK, caps);
+}
+
+static frontbuf_t *resolve_frontbuf(sysarg_t handle, cap_call_handle_t icall_handle)
 {
 	frontbuf_t *frontbuf = NULL;
@@ -145,5 +145,5 @@
 
 	if (frontbuf == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return NULL;
 	}
@@ -152,9 +152,9 @@
 }
 
-static void srv_frontbuf_create(cap_call_handle_t iid, ipc_call_t *icall)
+static void srv_frontbuf_create(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	frontbuf_t *frontbuf = (frontbuf_t *) malloc(sizeof(frontbuf_t));
 	if (frontbuf == NULL) {
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -162,26 +162,26 @@
 	link_initialize(&frontbuf->link);
 
-	cap_call_handle_t callid;
-	if (!async_share_out_receive(&callid, &frontbuf->size,
+	cap_call_handle_t chandle;
+	if (!async_share_out_receive(&chandle, &frontbuf->size,
 	    &frontbuf->flags)) {
 		free(frontbuf);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_share_out_finalize(callid, &frontbuf->data);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_share_out_finalize(chandle, &frontbuf->data);
 	if ((rc != EOK) || (frontbuf->data == AS_MAP_FAILED)) {
 		free(frontbuf);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
 
 	list_append(&frontbuf->link, &frontbufs);
-	async_answer_1(iid, EOK, (sysarg_t) frontbuf);
-}
-
-static void srv_frontbuf_destroy(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), iid);
+	async_answer_1(icall_handle, EOK, (sysarg_t) frontbuf);
+}
+
+static void srv_frontbuf_destroy(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), icall_handle);
 	if (frontbuf == NULL)
 		return;
@@ -191,10 +191,10 @@
 	free(frontbuf);
 
-	async_answer_0(iid, EOK);
-}
-
-static void srv_cursor_update(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), iid);
+	async_answer_0(icall_handle, EOK);
+}
+
+static void srv_cursor_update(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), icall_handle);
 	if (frontbuf == NULL)
 		return;
@@ -223,8 +223,8 @@
 	}
 
-	async_answer_0(iid, EOK);
-}
-
-static void srv_set_style(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void srv_set_style(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	list_foreach(outdevs, link, outdev_t, dev) {
@@ -234,8 +234,8 @@
 	}
 
-	async_answer_0(iid, EOK);
-}
-
-static void srv_set_color(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void srv_set_color(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	list_foreach(outdevs, link, outdev_t, dev) {
@@ -249,8 +249,8 @@
 	}
 
-	async_answer_0(iid, EOK);
-}
-
-static void srv_set_rgb_color(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void srv_set_rgb_color(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	list_foreach(outdevs, link, outdev_t, dev) {
@@ -260,5 +260,5 @@
 	}
 
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 }
 
@@ -302,7 +302,7 @@
 }
 
-static void srv_update(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), iid);
+static void srv_update(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), icall_handle);
 	if (frontbuf == NULL)
 		return;
@@ -349,10 +349,10 @@
 
 
-	async_answer_0(iid, EOK);
-}
-
-static void srv_damage(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), iid);
+	async_answer_0(icall_handle, EOK);
+}
+
+static void srv_damage(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	frontbuf_t *frontbuf = resolve_frontbuf(IPC_GET_ARG1(*icall), icall_handle);
 	if (frontbuf == NULL)
 		return;
@@ -388,18 +388,18 @@
 
 	}
-	async_answer_0(iid, EOK);
-}
-
-static void client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -407,44 +407,44 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case OUTPUT_YIELD:
-			srv_yield(callid, &call);
+			srv_yield(chandle, &call);
 			break;
 		case OUTPUT_CLAIM:
-			srv_claim(callid, &call);
+			srv_claim(chandle, &call);
 			break;
 		case OUTPUT_GET_DIMENSIONS:
-			srv_get_dimensions(callid, &call);
+			srv_get_dimensions(chandle, &call);
 			break;
 		case OUTPUT_GET_CAPS:
-			srv_get_caps(callid, &call);
+			srv_get_caps(chandle, &call);
 			break;
 
 		case OUTPUT_FRONTBUF_CREATE:
-			srv_frontbuf_create(callid, &call);
+			srv_frontbuf_create(chandle, &call);
 			break;
 		case OUTPUT_FRONTBUF_DESTROY:
-			srv_frontbuf_destroy(callid, &call);
+			srv_frontbuf_destroy(chandle, &call);
 			break;
 
 		case OUTPUT_CURSOR_UPDATE:
-			srv_cursor_update(callid, &call);
+			srv_cursor_update(chandle, &call);
 			break;
 		case OUTPUT_SET_STYLE:
-			srv_set_style(callid, &call);
+			srv_set_style(chandle, &call);
 			break;
 		case OUTPUT_SET_COLOR:
-			srv_set_color(callid, &call);
+			srv_set_color(chandle, &call);
 			break;
 		case OUTPUT_SET_RGB_COLOR:
-			srv_set_rgb_color(callid, &call);
+			srv_set_rgb_color(chandle, &call);
 			break;
 		case OUTPUT_UPDATE:
-			srv_update(callid, &call);
+			srv_update(chandle, &call);
 			break;
 		case OUTPUT_DAMAGE:
-			srv_damage(callid, &call);
+			srv_damage(chandle, &call);
 			break;
 
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/srv/hid/remcons/remcons.c
===================================================================
--- uspace/srv/hid/remcons/remcons.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/remcons/remcons.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -216,15 +216,15 @@
 
 /** Callback when client connects to a telnet terminal. */
-static void client_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void client_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Find the user. */
 	telnet_user_t *user = telnet_user_get_for_client_connection(IPC_GET_ARG2(*icall));
 	if (user == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
 
 	/* Handle messages. */
-	con_conn(iid, icall, &user->srvs);
+	con_conn(icall_handle, icall, &user->srvs);
 }
 
Index: uspace/srv/hid/rfb/main.c
===================================================================
--- uspace/srv/hid/rfb/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/rfb/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -146,7 +146,7 @@
 }
 
-static void client_connection(cap_call_handle_t callid, ipc_call_t *call, void *data)
-{
-	graph_visualizer_connection(vis, callid, call, data);
+static void client_connection(cap_call_handle_t chandle, ipc_call_t *call, void *data)
+{
+	graph_visualizer_connection(vis, chandle, call, data);
 }
 
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -69,5 +69,5 @@
 static s3c24xx_ts_t *ts;
 
-static void s3c24xx_ts_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void s3c24xx_ts_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg);
 static void s3c24xx_ts_irq_handler(ipc_call_t *call, void *);
@@ -373,12 +373,12 @@
 
 /** Handle mouse client connection. */
-static void s3c24xx_ts_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void s3c24xx_ts_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -388,5 +388,5 @@
 			}
 
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -397,9 +397,9 @@
 			if (ts->client_sess == NULL) {
 				ts->client_sess = sess;
-				async_answer_0(callid, EOK);
+				async_answer_0(chandle, EOK);
 			} else
-				async_answer_0(callid, ELIMIT);
+				async_answer_0(chandle, ELIMIT);
 		} else
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 	}
 }
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -113,10 +113,10 @@
 
 /** Character device connection handler. */
-static void s3c24xx_uart_connection(cap_call_handle_t iid, ipc_call_t *icall,
+static void s3c24xx_uart_connection(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
 	s3c24xx_uart_t *uart = (s3c24xx_uart_t *) arg;
 
-	chardev_conn(iid, icall, &uart->cds);
+	chardev_conn(icall_handle, icall, &uart->cds);
 }
 
Index: uspace/srv/loader/main.c
===================================================================
--- uspace/srv/loader/main.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/loader/main.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -92,5 +92,5 @@
 static void ldr_get_taskid(cap_call_handle_t rid, ipc_call_t *request)
 {
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	task_id_t task_id;
 	size_t len;
@@ -98,6 +98,6 @@
 	task_id = task_get_id();
 
-	if (!async_data_read_receive(&callid, &len)) {
-		async_answer_0(callid, EINVAL);
+	if (!async_data_read_receive(&chandle, &len)) {
+		async_answer_0(chandle, EINVAL);
 		async_answer_0(rid, EINVAL);
 		return;
@@ -107,5 +107,5 @@
 		len = sizeof(task_id);
 
-	async_data_read_finalize(callid, &task_id, len);
+	async_data_read_finalize(chandle, &task_id, len);
 	async_answer_0(rid, EOK);
 }
@@ -138,7 +138,7 @@
 static void ldr_set_program(cap_call_handle_t rid, ipc_call_t *request)
 {
-	cap_call_handle_t writeid;
+	cap_call_handle_t write_chandle;
 	size_t namesize;
-	if (!async_data_write_receive(&writeid, &namesize)) {
+	if (!async_data_write_receive(&write_chandle, &namesize)) {
 		async_answer_0(rid, EINVAL);
 		return;
@@ -146,5 +146,5 @@
 
 	char* name = malloc(namesize);
-	errno_t rc = async_data_write_finalize(writeid, name, namesize);
+	errno_t rc = async_data_write_finalize(write_chandle, name, namesize);
 	if (rc != EOK) {
 		async_answer_0(rid, EINVAL);
@@ -241,7 +241,7 @@
 	}
 
-	cap_call_handle_t writeid;
+	cap_call_handle_t write_chandle;
 	size_t namesize;
-	if (!async_data_write_receive(&writeid, &namesize)) {
+	if (!async_data_write_receive(&write_chandle, &namesize)) {
 		async_answer_0(rid, EINVAL);
 		return;
@@ -249,5 +249,5 @@
 
 	char* name = malloc(namesize);
-	errno_t rc = async_data_write_finalize(writeid, name, namesize);
+	errno_t rc = async_data_write_finalize(write_chandle, name, namesize);
 	if (rc != EOK) {
 		async_answer_0(rid, EINVAL);
@@ -332,9 +332,9 @@
  * to execute the loaded program).
  */
-static void ldr_connection(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ldr_connection(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Already have a connection? */
 	if (connected) {
-		async_answer_0(iid, ELIMIT);
+		async_answer_0(icall_handle, ELIMIT);
 		return;
 	}
@@ -343,5 +343,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	/* Ignore parameters, the connection is already open */
@@ -351,5 +351,5 @@
 		errno_t retval;
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -358,23 +358,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case LOADER_GET_TASKID:
-			ldr_get_taskid(callid, &call);
+			ldr_get_taskid(chandle, &call);
 			continue;
 		case LOADER_SET_CWD:
-			ldr_set_cwd(callid, &call);
+			ldr_set_cwd(chandle, &call);
 			continue;
 		case LOADER_SET_PROGRAM:
-			ldr_set_program(callid, &call);
+			ldr_set_program(chandle, &call);
 			continue;
 		case LOADER_SET_ARGS:
-			ldr_set_args(callid, &call);
+			ldr_set_args(chandle, &call);
 			continue;
 		case LOADER_ADD_INBOX:
-			ldr_add_inbox(callid, &call);
+			ldr_add_inbox(chandle, &call);
 			continue;
 		case LOADER_LOAD:
-			ldr_load(callid, &call);
+			ldr_load(chandle, &call);
 			continue;
 		case LOADER_RUN:
-			ldr_run(callid, &call);
+			ldr_run(chandle, &call);
 			/* Not reached */
 		default:
@@ -383,5 +383,5 @@
 		}
 
-		async_answer_0(callid, retval);
+		async_answer_0(chandle, retval);
 	}
 }
